program example
    integer :: i
    integer, parameter :: n=1000000
    real :: thesum, a(n)

    do i = 1, n
        a(i) = i*i
    end do
    thesum = 0

!$OMP PARALLEL DO DEFAULT(PRIVATE), SHARED(a), REDUCTION(+:thesum)
    do i = 1, n
        thesum = thesum + a(i)
    end do
!$OMP END PARALLEL DO

    print*, thesum
end program example
