#include <stdio.h>
#include <stdlib.h>
#include <omp.h>

int main(int argc, char *argv[])
{
  int ncpu=0;

  ncpu=omp_get_num_threads();
  printf("I have %d threads, try 1.\n",ncpu);

#pragma omp parallel shared(ncpu)
 {
#pragma omp single
   ncpu=omp_get_num_threads();
 } 
 printf("I have %d threads, try 2.\n",ncpu);
  
 
#pragma omp parallel private(ncpu)
 {
   int mythread=omp_get_thread_num();
   printf("on %d, ncpu is %d\n",mythread,ncpu);
 }

 printf("\n\n");
#pragma omp parallel firstprivate(ncpu)
 {
   int mythread=omp_get_thread_num();
   printf("on %d, ncpu is now %d\n",mythread,ncpu);
 }



}
