#include <stdio.h>
#include <omp.h>

int main(int argc, char *argv[])
{


    int mythread=omp_get_thread_num();
    int nthread=omp_get_num_threads();
    printf("In the beginning, there was thread %d of %d.\n",mythread,nthread);
    
    
#pragma omp parallel private(nthread) default(none)
  {

    int mythread=omp_get_thread_num();
    printf("Inherited value of nthread is %d on %d\n",nthread,mythread);
    nthread=omp_get_num_threads();
    printf("Thread %d of %d sends its greetings to the world.\n",mythread,nthread);
  }

  printf("After parallel, nthread is %d\n",nthread);


#pragma omp parallel shared(nthread)
#pragma omp single
  nthread=omp_get_num_threads();

  printf("In the end, we had a total of %d threads.\n",nthread);

}
