#include <stdio.h>
#include "../util/pca_utils.h"

//wrapper stuff to call Fortran routines from C
void dpotrf_(char *uplo, int *n, double *a, int *lda, int *info, char uplolen);

/*--------------------------------------------------------------------------------*/
void cdpotrf(char uplo, int n, double *a, int lda, int *info)
{
  dpotrf_(&uplo,&n,a,&lda,info,1);
}
/*--------------------------------------------------------------------------------*/
void print_matrix(double **mat, int n)
{
  for (int i=0;i<n;i++)  {
    for (int j=0;j<n;j++)
      printf("%8.4f ",mat[i][j]);
    printf("\n");
  }
}
/*================================================================================*/

int main(int argc, char *argv[])
{
  int n=3;
  double **mat=matrix(n,n);
  for (int i=0;i<n;i++) {
    for (int j=0;j<n;j++)
      mat[i][j]=0;
    mat[i][i]=9;
  }
  int info;
  printf("before factoring, matrix is:\n");
  print_matrix(mat,n);
  cdpotrf('U',n,mat[0],n,&info);
  printf("\nafter  factoring, matrix is:\n");
  print_matrix(mat,n);
      
}
